extends Area2D

var dragging := false
var path := PoolVector2Array()

func _ready():
    pass

func _input_event(viewport, event, shape_idx):
    if event is InputEventMouseButton and event.button_index == BUTTON_LEFT:
        dragging = event.pressed

func _input(event):
    if event is InputEventMouseButton and event.button_index == BUTTON_LEFT and !event.pressed:
        dragging = false

func _process(delta):
    if !dragging:
        return

    global_position = get_global_mouse_position()
    navigate()

func navigate():
    var bot2_pos = $"../bot2".global_position
    path = $"../Navigation2D".get_simple_path(self.global_position, bot2_pos)
    update()
    $"../Label".text = "path %s" % path

func _draw():
    draw_polyline(trans_to_global(path), Color.aquamarine, 5.0)

func trans_to_global(local):
    return self.global_transform.xform_inv(local)
